---
title: XRWebGLLayerInit.antialias
slug: Web/API/XRWebGLLayerInit/antialias
tags:
  - API
  - AR
  - Graphics
  - Property
  - Quality
  - Reality
  - Reference
  - Smoothing
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRWebGLLayerInit
  - anti-aliasing
  - antialias
  - augmented
  - detail
  - rendering
---
<p>{{securecontext_header}}{{APIRef("WebXR Device API")}}</p>

<p>The Boolean <code><strong>antialias</strong></code> property, if present and set to <code>true</code> in the {{domxref("XRWebGLLayerInit")}} object provided as the {{domxref("XRWebGLLayer.XRWebGLLayer", "XRWebGLLayer()")}} constructor's <code>layerInit</code> parameter, requests that the new WebGL rendering layer support anti-aliasing. If this property is missing or is <code>false</code>, anti-aliasing is not desired.</p>

<p>There is no way to request a specific anti-aliasing format or level; this decision is left up to the {{glossary("user agent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let layerInit = {
  antialias: <em>boolValue</em>
};
let glLayer = new XRWebGLLayer(xrSession, gl, layerInit);

let glLayer = new XRWebGLLayer(xrSession, gl, { antialias: <em>boolValue</em> });
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which can be set to <code>true</code> to request anti-aliasing support in the new WebGL rendering layer. If <code>false</code>, anti-aliasing is not desired.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The state of anti-aliasing for the context after being created can be read from the {{domxref("XRWebGLLayer")}} property {{domxref("XRWebGLLayer.antialias", "antialias")}}.</p>

<h2 id="Example">Example</h2>

<p>In this example, before creating a new {{domxref("XRWebGLLayer")}} to use for rendering, the value of a user preference from a configuration interface is obtained using a function called <code>getPreferenceValue()</code> to determine whether the user has enabled or disabled anti-aliasing support; this is passed into the constructor.</p>

<pre class="brush: js">let options = {
  antialias: getPreferenceValue("antialiasing")
};

let glLayer = new XRWebGLLayer(xrSession, gl, options);
if (glLayer) {
  xrSession.updateRenderState({ baseLayer: glLayer });
}
</pre>

<p>Offering the user features such as the ability to enable or disable things like anti-aliasing can provide them with optiions to try when your app isn't performing as well as they'd like. Disabling anti-aliasing may improve performance to some extent.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrwebgllayerinit-antialias','XRWebGLLayerInit.antialias')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRWebGLLayerInit.antialias")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR Device API</a></li>
 <li><a href="/en-US/docs/Web/API/WebGL_API/Tutorial/Getting_started_with_WebGL">Getting started with WebGL</a></li>
 <li>{{domxref("XRWebGLLayer.antialias")}}</li>
</ul>
